Forum |  HardWare.fr | News | Articles | PC | Prix | S'identifier | S'inscrire | Shop Recherche
974 connectés 

 



 Mot :   Pseudo :  
  Aller à la page :
 
 Page :   1  2  3  4  5  ..  430  431  432  433  434  435  436
Auteur Sujet :

[ Arch Linux ] Nouveauté, Stabilité, Simplicité [HAPPY BIRTHDAY !] \o/

n°1459812
Trit'
Posté le 22-01-2021 à 11:28:56  profilanswer
 

Reprise du message précédent :

gee a écrit :

Ah sinon de nouveau un dev d'arch s'en va, mais ce n'est pas le 1er a ecrire ce genre de choses:
 

Citation :


 
I'm stepping down as a developer. It's been mostly fantastic ride for
the last 10 years but it's clear to me now that for better or worse it's
far from the project I initially joined.


 
Que veut-il dire?


Un lien vers le message en question aurait été la moindre des choses… :o

mood
Publicité
Posté le 22-01-2021 à 11:28:56  profilanswer
 

n°1459820
gee
Bon ben hon
Posté le 22-01-2021 à 14:29:23  profilanswer
 

Je les lis sur mes e-mails donc je n'avais pas de lien, et je ne voulais pas nommer la personne en question :o .


---------------
"Phildar t'es vraiment une pute pas finie toi! Et Manu le gros porc arrete de t'marrer!"
n°1459878
Elbarto
Posté le 24-01-2021 à 18:40:12  profilanswer
 

Une astuce bien pratique : si vous constatez que le noyau linux a un bug avec votre matériel et qu'un patch est disponible : alors souvent il est inutile de recompiler tout le noyau avec ce patch, il suffit juste de recompiler le module du noyau ciblé par le patch, puis de recopier le module patché pour écraser l'actuel,

 

la méthode est décrite ici :
https://wiki.archlinux.org/index.ph [...] nel_module

 

Ça marche que si le module en question est chargé à la volée par le noyau linux, s'il est intégré dans le noyau alors là il faudra recompiler tout le noyau, ce qui prend beaucoup de temps si votre PC n'est pas récent :

 
Citation :

Note: You can only replace existing module if it is compiled as module (M) and not builtin (y) into kernel.


Message édité par Elbarto le 24-01-2021 à 18:43:45
n°1459951
Elbarto
Posté le 25-01-2021 à 18:19:46  profilanswer
 

Elbarto a écrit :

Problème résolu, sans trop savoir pourquoi

 

Je pense avoir trouvé :

 

- sur mon PC quand je branche 2 périphériques USB sur les 2 ports en façade du boitier alors il y a un risque qu'un des 2 périphériques déconnent, comme s'il y avait un problème de saturation d'alimentation par le bus USB sur ces 2 ports en façade,

 

si j'utilise les ports USB à l'arrière du PC là pas de souci, en gros il faut que j'évite maintenant de brancher sur la façade avant du boitier 2 périphériques USB gourmands en énergie électrique.

 

C'est un vieux PC sans port USB 3.0, tout est en USB 2.0.

Message cité 1 fois
Message édité par Elbarto le 25-01-2021 à 18:20:55
n°1459954
Trit'
Posté le 25-01-2021 à 18:45:37  profilanswer
 

Elbarto a écrit :

Je pense avoir trouvé :  
 
- sur mon PC quand je branche 2 périphériques USB sur les 2 ports en façade du boitier alors il y a un risque qu'un des 2 périphériques déconnent, comme s'il y avait un problème de saturation d'alimentation par le bus USB sur ces 2 ports en façade,
 
si j'utilise les ports USB à l'arrière du PC là pas de souci, en gros il faut que j'évite maintenant de brancher sur la façade avant du boitier 2 périphériques USB gourmands en énergie électrique.
 
C'est un vieux PC sans port USB 3.0, tout est en USB 2.0.


Ça, ça sent l’alimentation qui commence à vieillir et qui ne parvient donc plus à fournir assez de courant à ces ports USB… À voir pour la changer, si c’est possible.

n°1459981
Elbarto
Posté le 26-01-2021 à 17:29:29  profilanswer
 

Oui c'est possible, mon bloc d'alimentation a déjà un souci sur le +12 volts depuis un an, sa valeur dépasse la tolérance de 5% des spécifications ATX, avec du 12.74 volts au lieu de 12.6 volts maximum.
Cela peut aussi venir de la carte mère au niveau du contrôleur USB.

 

Sinon j'ai acheté un SSD, je compte utiliser clonezilla pour cloner ma partition actuelle archlinux sur le nouveau SSD, comme je conserve l'ancien disque il faudra faire attention aux UUIDs :
https://km.azerttyu.net/Migrer-vers [...] disque-SSD

 
Citation :


Adapter les UUID

 

Chaque partition primaire ou non se voit attribuer un UUID unique. Lors d’un clone, ces UUID sont copiés à l’identique.
Dans le cas d’un remplacement cela n’est pas problématique, on ne conserve qu’un disque.
Cela se complique si on utilise les 2 disques à l’identique en même temps. Le système aura du mal à identifier les bonnes partitions. Pour l’aider on doit mettre à jour les UUID pour les rendre uniques.

Message cité 1 fois
Message édité par Elbarto le 26-01-2021 à 17:35:42
n°1459987
Trit'
Posté le 26-01-2021 à 18:52:00  profilanswer
 

Elbarto a écrit :

Oui c'est possible, mon bloc d'alimentation a déjà un souci sur le +12 volts depuis un an, sa valeur dépasse la tolérance de 5% des spécifications ATX, avec du 12.74 volts au lieu de 12.6 volts maximum.


Bon, ben, si ton alim était déjà boiteuse, cherche pas plus loin…
 
 

Elbarto a écrit :

Cela peut aussi venir de la carte mère au niveau du contrôleur USB.


Mouais… Pour avoir procédé à la chose pas plus tard que jeudi dernier, je dirais que remplacer un bloc d’alimentation reste quand même plus « simple » (bien que demandant un poil de doigté, forcément) qu’un port USB. Et puis, tu seras vite fixé : si l’USB déconne encore avec une alim neuve (ou réputée en bon état), c’est que ça venait pas de l’ancienne.

n°1459998
gee
Bon ben hon
Posté le 27-01-2021 à 03:49:57  profilanswer
 

Pour ceux qui utilisent chromium, il parait tres possible que le paquet quitte Arch, un dev veut meme ne plus l'avoir sur AUR...
 
Tout cela est lié a Google qui ne veut plus donner accès a certaines API qui ne seraient que pour Chrome: https://www.computerworld.com/artic [...] -sync.html
 
Un lien sur l'histoire: https://groups.google.com/a/chromiu [...] xl9wKLAAAJ


---------------
"Phildar t'es vraiment une pute pas finie toi! Et Manu le gros porc arrete de t'marrer!"
n°1460003
Trit'
Posté le 27-01-2021 à 10:53:11  profilanswer
 

gee a écrit :

Pour ceux qui utilisent chromium, il parait tres possible que le paquet quitte Arch, un dev veut meme ne plus l'avoir sur AUR...
 
Tout cela est lié a Google qui ne veut plus donner accès a certaines API qui ne seraient que pour Chrome: https://www.computerworld.com/artic [...] -sync.html
 
Un lien sur l'histoire: https://groups.google.com/a/chromiu [...] xl9wKLAAAJ


Je vois pas le rapport entre cette décision de Google et l’admissibilité de Chromium sur les dépôts d’Arch, y compris AUR… :??:
 
Il nous ferait pas un gros caprice d’enfant gâté, ce dev ? :heink: Même si je n’utilise plus Chromium (enfin, je suis sur Vivaldi qui est bâti dessus, mais n’est pas concerné par cette mesure car il ne fait pas usage de ces API), j’espère qu’il ne sera pas suivi dans son délire.

n°1460004
gee
Bon ben hon
Posté le 27-01-2021 à 10:58:31  profilanswer
 

Chromium ne fonctionnerait plus aussi bien qu'aujourd'hui sans ces APIs. Ils ne veulent pas offrir un navigateur qui offre moins qu'avant (je ne vois pas trop le soucis) ou qui serait moins sure (ca par contre ca se comprend).

 

Pour le coup de caprice par rapport a AUR, je suis un peu d'accord et d'autres devs on dit un peu pareil.

Message cité 2 fois
Message édité par gee le 27-01-2021 à 14:15:57

---------------
"Phildar t'es vraiment une pute pas finie toi! Et Manu le gros porc arrete de t'marrer!"
mood
Publicité
Posté le 27-01-2021 à 10:58:31  profilanswer
 

n°1460005
Trit'
Posté le 27-01-2021 à 11:00:12  profilanswer
 

gee a écrit :

Chromium ne fonctionnerait plus aussi bien qu'aujourd'hui sans ces APIs. Ils ne veulent pas offrir un navigateur qui offrent moins qu'avant (je ne vois pas trop le soucis) ou qui serait moins sure (ca par contre ca se comprend).


Je viens de voir ça, oui…

n°1460006
berlo
dubitatif
Posté le 27-01-2021 à 11:14:42  profilanswer
 

Avec "ungoogled-chromium" il n'y a pas d’ambiguïté, on sait à quoi s'en tenir.
Dommage qu'il n'y ai pas de paquet pré-compilé.

n°1460009
minux
On Linux ...
Posté le 27-01-2021 à 11:47:28  profilanswer
 

gee a écrit :

Chromium ne fonctionnerait plus aussi bien qu'aujourd'hui sans ces APIs. Ils ne veulent pas offrir un navigateur qui offrent moins qu'avant (je ne vois pas trop le soucis) ou qui serait moins sure (ca par contre ca se comprend).
 
Pour le coup de caprice par rapport a AUR, je suis un peu d'accord et d'autres devs on dit un peu pareil.


Ça fait un bail que j'utilise plus Chromium (Firefox fait très bien le taf), mais je comprend tout à fait la réaction du dev.


---------------
Mes linux : 2002: Mandrake -> 2005: Ubuntu -> 2010: Arch | Roms MinuxBuild | Mes tutos pour root les Oneplus 5 et 6, et Xiaomi Mi9 série
n°1460014
gee
Bon ben hon
Posté le 27-01-2021 à 14:14:28  profilanswer
 

berlo a écrit :

Avec "ungoogled-chromium" il n'y a pas d’ambiguïté, on sait à quoi s'en tenir.
Dommage qu'il n'y ai pas de paquet pré-compilé.


C'est bien vrai :jap:

 

Si chromium disparait, peut-etre que ca sera la solution.

 
minux a écrit :


Ça fait un bail que j'utilise plus Chromium (Firefox fait très bien le taf), mais je comprend tout à fait la réaction du dev.

 

A priori, Firefox utilise aussi certaines de ces clefs qui ne seront plus bonnes. Je crois qu'il perdra la meme fonction de sécurité que chromium.

Message cité 1 fois
Message édité par gee le 27-01-2021 à 14:15:30

---------------
"Phildar t'es vraiment une pute pas finie toi! Et Manu le gros porc arrete de t'marrer!"
n°1460015
minux
On Linux ...
Posté le 27-01-2021 à 14:35:44  profilanswer
 

gee a écrit :


 
A priori, Firefox utilise aussi certaines de ces clefs qui ne seront plus bonnes. Je crois qu'il perdra la meme fonction de sécurité que chromium.


A ça c'est dommage par contre  :sweat:


---------------
Mes linux : 2002: Mandrake -> 2005: Ubuntu -> 2010: Arch | Roms MinuxBuild | Mes tutos pour root les Oneplus 5 et 6, et Xiaomi Mi9 série
n°1460017
Elbarto
Posté le 27-01-2021 à 14:53:43  profilanswer
 

Il reste  la possibilité de télécharger le binaire officiel linux :
https://www.chromium.org/getting-in [...] d-chromium
 
il y a même un script qui vérifie automatiquement si une nouvelle version du binaire existe, afin de le télécharger :
https://github.com/scheib/chromium-latest-linux
 
en gros si on veut utiliser une application et qu'elle nous plait alors on est pas dépendant des choix des mainteneurs archlinux, si le paquet archlinux de l'application disparait alors il suffit de télécharger le binaire officiel, ou une appimage (ou un système similaire),  
 
il faut qu'on garde notre liberté d'utiliser le logiciel souhaité, sans être obligé de passer sur le dépot AUR et la pénible étape de compilation (très longue sur des vieux PC).

n°1460039
Elbarto
Posté le 28-01-2021 à 02:08:10  profilanswer
 

Est-ce qu'il y a des gens ici qui sont abonnés au service "amazon prime", qui permet entre autres de regarder les vidéos du site "prime video" (VOD d'amazon) ?
J'ai remarqué que sous les distributions linux la définition proposée des vidéos n'est pas de type HD sous linux (il manque le logo HD en bas à gauche à coté de l'affichage du temps), par contre sous windows (ou via une machine virtuelle exécutant windows) on a bien de la HD,

 
Citation :

Si vous exécutez un système d'exploitation autre que Windows ou Mac OS, la lecture est limitée à la définition standard.


https://www.primevideo.com/help/ref [...] HU5D8LC9EJ

 


la solution proposée sur le forum archlinux (utiliser microsoft edge via wine) ne marche pas :
https://bbs.archlinux.org/viewtopic.php?id=248180
https://arstechnica.com/civis/viewt [...] &t=1473018
https://lafibre.info/tv-numerique-h [...] deo-45152/
https://www.reddit.com/r/linuxquest [...] ith_linux/

 

le seul moyen de contournement que j'ai trouvé c'est d'installer windows dans une machine virtuelle pour regarder les vidéos d'amazon prime depuis firefox, mais ce n'est pas très fluide, la machine virtuelle consommant trop de ressources pour la lecture vidéo.

 

Le même problème existe pour netflix, si vous êtes sous linux le serveur vous enverra que de la SD.

 

Si quelqu'un a trouvé une astuce pour résoudre cette limitation alors je suis preneur.


Message édité par Elbarto le 28-01-2021 à 03:50:29
n°1460042
gee
Bon ben hon
Posté le 28-01-2021 à 07:59:19  profilanswer
 

Le problème c'est qu'il n'y a pas de système de DRM complet sous Linux, donc les distributeurs nous donnent de la sous-qualité, mais au meme prix. (Perso quand une boite me donne un pire service payant que ce que les soit disant pirates ont gratuitement, le choix est vite fait... Je me passe de leur service.)

 

Je crois que c'est censé fonctionner avec le navigateur de MS jusqu'a 1080p. Pas besoin de Wine pour, il est maintenant natif si j'ai bien compris.

 


Message édité par gee le 28-01-2021 à 08:01:28

---------------
"Phildar t'es vraiment une pute pas finie toi! Et Manu le gros porc arrete de t'marrer!"
n°1460043
Elbarto
Posté le 28-01-2021 à 08:32:49  profilanswer
 

Tu parles de "microsoft edge for linux" ?
https://aur.archlinux.org/packages/ [...] e-dev-bin/

 

Je l'ai installé via le paquet AUR, mais ça ne résout pas le problème, toujours pas de HD sous archlinux avec amazon,

 

le DRM utilisé par amazon est "Widevine", il est bien installé dans la version linux de firefox et chromium, en version 4.10.1582.2 du 21 janvier 2021.

 

Normalement la version linux est censée gérer la HD avec le DRM widevine, il y a un site de test pour vérifier cela, j'ai bien de la HD (il faut sélectionner la résolution 1920x1080 dans le lecteur) :
https://bitmovin.com/demos/drm

 

https://rehost.diberie.com/Picture/Get/f/35307

Message cité 2 fois
Message édité par Elbarto le 28-01-2021 à 08:41:04
n°1460044
minux
On Linux ...
Posté le 28-01-2021 à 08:42:24  profilanswer
 

Elbarto a écrit :

Tu parles de "microsoft edge for linux" ?
https://aur.archlinux.org/packages/ [...] e-dev-bin/
 
Je l'ai installé via le paquet AUR, mais ça ne résout pas le problème, toujours pas de HD sous archlinux avec amazon,
 
le DRM utilisé par amazon est "Widevine L3", il est bien installé dans la version linux de firefox et chromium, en version 4.10.1582.2 du 21 janvier 2021.
 
Normalement la version linux est censée gérer la HD avec le DRM widevine, il y a un site de test pour vérifier cela, j'ai bien de la HD (il faut sélectionner la résolution 1920x1080 dans le lecteur) :
https://bitmovin.com/demos/drm
 
https://rehost.diberie.com/Picture/Get/f/35307


Me semble que pour de la HD, il faut le niveau Widevine L1, ce qui expliquerai pourquoi pas de HD dans ce cas.


---------------
Mes linux : 2002: Mandrake -> 2005: Ubuntu -> 2010: Arch | Roms MinuxBuild | Mes tutos pour root les Oneplus 5 et 6, et Xiaomi Mi9 série
n°1460045
gee
Bon ben hon
Posté le 28-01-2021 à 08:45:50  profilanswer
 

Elbarto a écrit :


le DRM utilisé par amazon est "Widevine", il est bien installé dans la version linux de firefox et chromium, en version 4.10.1582.2 du 21 janvier 2021.


Il est probable que ce que j'ai lu ne soit valable que pour Netflix, désolé!

 

(Le seul DRM que j'accepte est celui de Steam car il est plus ou moins acceptable en pratique, le reste je ne touche pas.)


Message édité par gee le 28-01-2021 à 08:47:10

---------------
"Phildar t'es vraiment une pute pas finie toi! Et Manu le gros porc arrete de t'marrer!"
n°1460048
Elbarto
Posté le 28-01-2021 à 09:12:14  profilanswer
 

Une explication ici, apparemment amazon utilise la fonctionnalité vmp_validation, qui pose problème sous linux :
 

Citation :

playing HD content (including movie) right now amazon enforced vmp_validation.


 
https://github.com/Sandmann79/xbmc/issues/294

n°1460103
Trit'
Posté le 29-01-2021 à 12:33:54  profilanswer
 

Phénomène curieux depuis que j’ai redémarré après avoir installé le noyau 5.10.11 sur mon portable : pendant que les services démarraient, j’ai entendu un fort « pop ! » venant des hauts-parleurs internes (ça m’a fait sursauter ! [:ula]). Et en lançant un MP3 dans VLC, j’ai trouvé que le son des haut-parleurs semblait nettement plus fort qu’avant (évidemment, je n’ai rien changé comme réglages de mon côté).
 
Pour le son venant du casque, RAS : tout est OK, et ça rebascule correctement quand on débranche. Rien à voir avec les problèmes récents de PulseAudio.
Mais ça reste bizarre, même si c’est pas si gênant que ça. À voir si ça se reproduit (je vais pas m’amuser à redémarrer l’ordi à tout bout de champ).

n°1460104
Elbarto
Posté le 29-01-2021 à 12:58:08  profilanswer
 

Peut-être l'un des curseurs du mixer alsa qui a bougé, notamment le canal reservé au son PCM/wav,
 
tu peux lancer le programme alsamixer (paquet alsa-utils) depuis une console, pour voir tous les curseurs, car parfois pulseaudio masque certains canaux du mixeur si tu passes par une interface graphique de configuration.
 
https://upload.wikimedia.org/wikipedia/commons/8/86/Alsamixer.png

Message cité 1 fois
Message édité par Elbarto le 29-01-2021 à 13:00:06
n°1460112
Elbarto
Posté le 29-01-2021 à 16:41:34  profilanswer
 

Pour le problème de DRM des services VOD de type netflix/amazon/disney+ mal gérés sous linux (résolution de la vidéo limitée à de la simple définition, car implémentation des DRM incomplète sous linux) j'ai trouvé une solution de repli simple et peu coûteuse :

 

- acheter un petit boitier "amazon fire tv stick" à 29 euros :
https://www.amazon.fr/gp/product/B07ZZVWB4L/

 

il suffit ensuite de brancher ce petit boitier sur le port HDMI de votre écran, elle se connectera en wifi à votre box internet, pour diffuser ensuite les principaux services de VOD (netflix, amazon, disney+) selon votre abonnement, il y a une télécommande pratique pour la navigation, le format de l'image sera en HD, pas de souci de DRM.

 

C'est un peu dommage de devoir passer par ce boitier mais c'est la seule solution si on veut profiter de son abonnement aux services de VOD en HD sans être obligé d'installer windows,

 

il suffit que votre moniteur PC soit équipé d'un port HDMI et de haut-parleurs (ou d'une sortie casque audio, qu'il suffira de relier à une chaine hifi ou à des haut-parleurs de PC), moi j'ai un écran avec port HDMI, DVI et VGA, donc je peux brancher à la fois le PC et ce boitier.

 

Si vous avez un poste de TV c'est encore mieux et plus simple.


Message édité par Elbarto le 29-01-2021 à 16:44:11
n°1460116
Trit'
Posté le 29-01-2021 à 19:17:56  profilanswer
 

Elbarto a écrit :

Peut-être l'un des curseurs du mixer alsa qui a bougé, notamment le canal reservé au son PCM/wav,
 
tu peux lancer le programme alsamixer (paquet alsa-utils) depuis une console, pour voir tous les curseurs, car parfois pulseaudio masque certains canaux du mixeur si tu passes par une interface graphique de configuration.
 
https://upload.wikimedia.org/wikipe [...] amixer.png


Oui, j’ai regardé ça, mais en fait, il semblerait que ce « pop ! » au démarrage m’ait fait psychoter pour rien : en testant d’autres fichiers (notamment des vidéos), je n’ai plus noté d’anomalie. J’ai manifestement dû me faire des idées, surtout que j’utilise assez peu les HP internes, maintenant que j’ai un transmetteur FM à prise jack qui me permet de faire jouer mes musiques depuis la chaîne Hi-Fi (par exemple). [:the geddons]

n°1460197
Elbarto
Posté le 01-02-2021 à 11:32:18  profilanswer
 

En voulant faire un "pacman -Syu" je tombe sur ce message :
 

avertissement : supprime « opencolorio » de la liste de cible car il est en conflit avec « opencolorio1 »
:: opencolorio1 et opencolorio sont en conflit. Supprimer opencolorio ? [o/N]


 
avez-eu la même chose ?
Faut-il répondre "oui" à la question ?
 
edit : trouvé une réponse ici :
https://bbs.archlinux.org/viewtopic.php?id=263201
 


Message édité par Elbarto le 01-02-2021 à 11:55:06
n°1460209
Trit'
Posté le 01-02-2021 à 19:15:39  profilanswer
 

Bonne nouvelle pour les utilisateurs de CG Nvidia sous Nouveau : le correctif pour le bug qui affecte les versions de Linux 5.9 et 5.10 vient d’être intégré à la dernière RC du noyau 5.11 ! Espérons qu’il sera aussi intégré dans la branche 5.10 quand celle-ci prendra la place de la 5.4 en tant que noyau LTS !
 

Citation :

For those wondering: It seems the patch has now been integrated mainline (it is part of 5.11-rc6) and should land in Linux 5.11. Thanks @karolherbst and @skeggsb! Hope that it qualifies for the stable kernel branches as well.


Par Bastian Beranek : https://gitlab.freedesktop.org/drm/ [...] ote_785402
 
Sauf que c’est trop tard de mon côté, vu que ça fait une semaine et demi qu j’ai passé l’ordi concerné chez les rouges… :o

n°1460322
Elbarto
Posté le 03-02-2021 à 17:39:48  profilanswer
 

Est-ce qu'il y a des forumeurs ici qui ont un CPU ryzen tournant avec archlinux ?
Si oui : avez-vous constaté parfois des déconnexions de vos périphériques USB lorsque le CPU a des forts pics d'utilisation ?
 
C'est un problème peu médiatisé, mais qui semble assez fréquent, le contrôleur USB intégré au CPU qui déconne quand le CPU est très sollicité, ça entraîne un fonctionnement chaotique de tous les périphériques USB, dont le clavier et la souris :
https://www.reddit.com/r/Amd/commen [...] herboards/
 
 
 

n°1460323
minux
On Linux ...
Posté le 03-02-2021 à 17:42:40  profilanswer
 

Pas de souci constaté de mon côté ...


---------------
Mes linux : 2002: Mandrake -> 2005: Ubuntu -> 2010: Arch | Roms MinuxBuild | Mes tutos pour root les Oneplus 5 et 6, et Xiaomi Mi9 série
n°1460327
Elbarto
Posté le 03-02-2021 à 18:15:05  profilanswer
 

Il faut aussi pousser la machine dans ses derniers retranchements pour que le problème d'instabilité ait une chance d’apparaître,
pour certains c'est faire du twitch, c'est à dire streamer un jeu vidéo depuis un périphérique de capture HDMI vers USB, tout en lançant des applications lourdes en parallèle, pour surcharger tous les coeurs du CPU (compression vidéo, benchmark type prime 95), pour d'autres c'est utiliser une carte son externe USB, la qualité du son est alors perturbée quand le contrôleur USB déconne,

 

l'utilisation d'une carte graphique PCIe gen 4 (nvidia RTX 3080) semble aussi augmenter le risque d'instabilité des ports USB.

 

Certains fabricants de cartes mères et les ingénieurs d'AMD semblent au courant, et promettent une mise à jour du bios d'après les liens reddit.

 



Message édité par Elbarto le 03-02-2021 à 18:19:53
n°1460328
gee
Bon ben hon
Posté le 03-02-2021 à 18:16:52  profilanswer
 

Zen2 ici et pas de soucis.


---------------
"Phildar t'es vraiment une pute pas finie toi! Et Manu le gros porc arrete de t'marrer!"
n°1460361
Andorria
Posté le 04-02-2021 à 09:29:53  profilanswer
 

Elbarto a écrit :

Est-ce qu'il y a des forumeurs ici qui ont un CPU ryzen tournant avec archlinux ?
Si oui : avez-vous constaté parfois des déconnexions de vos périphériques USB lorsque le CPU a des forts pics d'utilisation ?
 
C'est un problème peu médiatisé, mais qui semble assez fréquent, le contrôleur USB intégré au CPU qui déconne quand le CPU est très sollicité, ça entraîne un fonctionnement chaotique de tous les périphériques USB, dont le clavier et la souris :
https://www.reddit.com/r/Amd/commen [...] herboards/
 
 
 


 
Aucun pb sur mon ryzen 7 3700x @ 4.1Ghz, en compil ou encodage

n°1460364
Trit'
Posté le 04-02-2021 à 11:44:01  profilanswer
 

Utilisateurs d’Arch Linux avec des PC ayant des GPU Nvidia pilotés par Nouveau, vous allez pouvoir réutiliser les noyaux ≥ 5.9 (donc cesser de devoir rester sur le 5.4 LTS, en fait) : le noyau 5.10.13 est sorti en amont, et il intègre le correctif pour la régression apparue sur le 5.9.0 et qui plantait l’affichage ! [:shimay:1]
 

commit e4d2a196fdc5f7eeab21d3d6a27566f3dc1f4d60
Author: Bastian Beranek <bastian.beischer@rwth-aachen.de>
Date:   Thu Jan 21 15:27:36 2021 +0100
 
    drm/nouveau/dispnv50: Restore pushing of all data.
     
    commit fd55b61ebd31449549e14c33574825d64de2b29b upstream.
     
    Commit f844eb485eb056ad3b67e49f95cbc6c685a73db4 introduced a regression for
    NV50, which lead to visual artifacts, tearing and eventual crashes.
     
    In the changes of f844eb485eb056ad3b67e49f95cbc6c685a73db4 only the first line
    was correctly translated to the new NVIDIA header macros:
     
    -               PUSH_NVSQ(push, NV827C, 0x0110, 0,
    -                                       0x0114, 0);
    +               PUSH_MTHD(push, NV827C, SET_PROCESSING,
    +                         NVDEF(NV827C, SET_PROCESSING, USE_GAIN_OFS, DISABLE));
     
    The lower part ("0x0114, 0" ) was probably omitted by accident.
     
    This patch restores the push of the missing data and fixes the regression.
     
    Signed-off-by: Bastian Beranek <bastian.beischer@rwth-aachen.de>
    Fixes: f844eb485eb05 ("drm/nouveau/kms/nv50-: use NVIDIA's headers for wndw image_set()" )
    Link: https://gitlab.freedesktop.org/drm/nouveau/-/issues/14
    Signed-off-by: Ben Skeggs <bskeggs@redhat.com>
    Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>


(Voir aussi https://git.kernel.org/pub/scm/linu [...] 2=v5.10.12)

n°1460407
minux
On Linux ...
Posté le 05-02-2021 à 13:20:03  profilanswer
 

Puisqu'on parle d'affichage, est-ce que des gens ici on une Radeon 6x00 ?
 
Depuis que j'ai la mienne (une 6800), je n'ai aucune info (ou rarement) sur la rotation des ventilos alors que ces derniers tournent, sensors me renvoie toujours 0 RPM :

amdgpu-pci-0c00
Adapter: PCI adapter
vddgfx:      800.00 mV  
fan1:           0 RPM  (min =    0 RPM, max = 3300 RPM)
edge:         +49.0°C  (crit = +100.0°C, hyst = -273.1°C)
                       (emerg = +105.0°C)
junction:     +62.0°C  (crit = +110.0°C, hyst = -273.1°C)
                       (emerg = +115.0°C)
mem:          +54.0°C  (crit = +100.0°C, hyst = -273.1°C)
                       (emerg = +105.0°C)
power1:       36.00 W  (cap = 203.00 W)


 
Aléatoirement après un reboot, l'affichage des RPM des ventilos de la carte fonctionne, mais dès le reboot suivant, ça reste à zéro sans bouger quoi qu'il se passe.
 
Si je regarde dans un soft genre CoreCtrl, c'est la même chose.
 
Jeunesse des pilotes ou problème de conf chez moi ?
 
D'ailleurs plus généralement le suivi des capteurs avec conky et hwmon est assez ératique chez moi, je suis assez souvent obligé de modifier la conf de conky car le numéro associé au hwmon change régulièrement, un moyen d'éviter ça ?
 
Merci d'avance :jap:


---------------
Mes linux : 2002: Mandrake -> 2005: Ubuntu -> 2010: Arch | Roms MinuxBuild | Mes tutos pour root les Oneplus 5 et 6, et Xiaomi Mi9 série
n°1460409
Elbarto
Posté le 05-02-2021 à 14:44:40  profilanswer
 

Si tu essaies le noyau LTS est-ce que le problème disparaît ?

 

J'ai une radeon 4650 pcie, qui utilise le pilote libre radeon, la mesure de la rotation du ventilateur de la carte graphique n'est pas possible sur ce modèle là, je n'ai que la température du GPU.

 

radeon-pci-0100
Adapter: PCI adapter
temp1:        +56.0°C  (crit = +120.0°C, hyst = +90.0°C)

 

peut-être que le capteur de rotation du ventilo est devenu défectueux sur ta carte graphique.

Message cité 1 fois
Message édité par Elbarto le 05-02-2021 à 14:45:38
n°1460410
minux
On Linux ...
Posté le 05-02-2021 à 14:48:41  profilanswer
 

Elbarto a écrit :

Si tu essaies le noyau LTS est-ce que le problème disparaît ?
 
J'ai une radeon 4650 pcie, qui utilise le pilote libre radeon, la mesure de la rotation du ventilateur de la carte graphique n'est pas possible sur ce modèle là, je n'ai que la température du GPU.
 

radeon-pci-0100
Adapter: PCI adapter
temp1:        +56.0°C  (crit = +120.0°C, hyst = +90.0°C)


 
peut-être que le capteur de rotation du ventilo est devenu défectueux sur ta carte graphique.


Pas sur que le noyau LTS supporte cette génération de cartes .. faut que je vérifie.
 
Et le capteur de vitesse de ventilo fonctionne très bien sous windows, aucun souci :)


---------------
Mes linux : 2002: Mandrake -> 2005: Ubuntu -> 2010: Arch | Roms MinuxBuild | Mes tutos pour root les Oneplus 5 et 6, et Xiaomi Mi9 série
n°1460418
minux
On Linux ...
Posté le 05-02-2021 à 19:24:22  profilanswer
 

Réponse trouvée sur le forum Arch, à priori bug sur les cartes avec vbios : https://bbs.archlinux.org/viewtopic.php?id=263256
 
Pour corriger suffit de faire

sudo echo "2" > /sys/class/drm/card0/device/hwmon/hwmon4/pwm1_enable


 
(dans mon cas la carte est sur le hwmon3, faut adapter en fonction de son matos)


Message édité par minux le 05-02-2021 à 19:25:19

---------------
Mes linux : 2002: Mandrake -> 2005: Ubuntu -> 2010: Arch | Roms MinuxBuild | Mes tutos pour root les Oneplus 5 et 6, et Xiaomi Mi9 série
n°1460788
Elbarto
Posté le 15-02-2021 à 13:36:17  profilanswer
 

Avez-vous des soucis avec la dernière version de Qemu ?

 

J'ai essayé la version sur le dépôt stable et celle de testing : il y a des soucis aléatoires avec une machine virtuelle windows 7 32 bits, quand je tente d'installer "visual studio 2019 community edition" l'installateur crashe de manière aléatoire (l'interface graphique ne répond plus).

 

Edit : il semble que ce soit lié à un conflit avec SQL server 2014, peut-être qu'un service perturbe l'installateur de "visual studio community 2019", en désinstallant SQL server 2014 l'installateur ne se bloque plus.


Message édité par Elbarto le 15-02-2021 à 15:20:00
n°1460919
gee
Bon ben hon
Posté le 17-02-2021 à 23:24:54  profilanswer
 

Support de zstd pour mkinitcpio est enfin la sur testing!


---------------
"Phildar t'es vraiment une pute pas finie toi! Et Manu le gros porc arrete de t'marrer!"
n°1460934
Trit'
Posté le 18-02-2021 à 12:04:52  profilanswer
 

Le gag, sur Arch Linux… :lol:
 
Vous savez, sur cette distribution, lors d’un changement de version majeure du noyau (passage de 5.10.x à 5.11.x, par exemple), les mises à jour du dit noyau sont bloquées sur le canal Stable, le temps que tout soit OK côté Testing (ça peut durer des jours et les utilisateurs sur Stable pourraient ne passer de 5.10.16 qu’à 5.11.1 ou 5.11.2, par exemple).
 
Il se trouve que le paquet « linux-lts », qui contient donc toujours le noyau dans la dernière branche LTS en date (les précédentes branches LTS encore maintenues sont disponibles via des PKGBUILD sur AUR à compiler soi-même, ou précompilées sur des dépôts tiers, mais hé, faut avoir confiance et espérer que ça cassera pas), est passé hier sur la branche 5.10, quand le noyau normal n’est pas encore passé sur la 5.11…
 
Vous le voyez venir, le gag ? :whistle:
 
Allez, je vous le dis :

  • Hier, mercredi 17 février 2021, on s’est retrouvé avec un noyau normal 5.10.16 et un LTS… 5.10.16 aussi ! En général, le noyau LTS est plus ancien et est censé servir de noyau de secours, si jamais le normal avait un bug… Ben, là, ce recours n’existe plus !
  • Encore plus fort, aujourd’hui : le noyau LTS a été mis à jour… en 5.10.17, quand le normal reste en 5.10.16 ! Un noyau LTS plus avancé que le normal, c’est du jamais vu pour moi (qui me suis relancé sur Linux pour de bon de manière progressive entre août 2014 et avril 2015, donc à partir du noyaux 3.16 !) ! :ouch:


Je sais pas si c’est déjà arrivé avant, mais je voulais signaler cette anecdote.

mood
Publicité
Posté le   profilanswer
 

 Page :   1  2  3  4  5  ..  430  431  432  433  434  435  436

Aller à :
Ajouter une réponse
 

Sujets relatifs
linux + routeur/modem = casse teteDonnez moi des raisons pour me mettre a Linux
Conversation Video sous Linuxfree dégroupé en sagem sous linux et xp??
Linux 10.0 ^no bootInstaller Linux avec Windows XP
integration d'un drivers dans linux comment?FreeBSD vs Linux
[LINUX] comment faire marcher une clé usb?Linux oui mais...
Plus de sujets relatifs à : [ Arch Linux ] Nouveauté, Stabilité, Simplicité [HAPPY BIRTHDAY !] \o/


Copyright © 1997-2018 Hardware.fr SARL (Signaler un contenu illicite / Données personnelles) / Groupe LDLC / Shop HFR